% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/SunsetProv.Visualization.R
\name{SunsetProv.Visualization}
\alias{SunsetProv.Visualization}
\title{Generate provenance for Visualization}
\usage{
SunsetProv.Visualization(recipe, data)
}
\arguments{
\item{recipe}{Configuration file specifying parameters.}

\item{data}{s2dv_cube object generated by SUNSET's Loading.R function.}

\item{graph}{Graph object containing provenance information.}

\item{type}{Type of data: "fcst" or "hcst".}
}
\value{
List containing updated graph and parent node name.
}
\description{
Generate provenance information for visualization module.
}
\details{
This function generates provenance information for the visualization module based on forecast or hindcast data.
}
